## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           mmsd-tng
Version:        2.5.0
Release:        %autorelease
Summary:        Multimedia Messaging Service

License:        GPL-2.0-or-later
URL:            https://gitlab.com/kop316/mmsd
Source0:        https://gitlab.com/kop316/mmsd/-/archive/%{version}/mmsd-%{version}.tar.gz

Source1:        mmsd-tng.service

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
%if !%{defined fc40} && !%{defined fc41}
ExcludeArch:    %{ix86}
%endif

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  pkgconfig(mobile-broadband-provider-info)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(mm-glib)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(libcares)
BuildRequires:  cmake(libphonenumber)
BuildRequires:  protobuf-devel
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(mm-glib)
BuildRequires:  systemd-devel
BuildRequires:  systemd-rpm-macros

Requires:       pkgconfig(mobile-broadband-provider-info)
Requires:       systemd

%description
mmsd-tng is a lower level daemon that transmits and recieves MMSes. It works with
both the Modem Manager stack.

%prep
%autosetup -p1 -n mmsd-%{version}

%build
%meson -Dbuild-mmsctl=true
%meson_build

%check
%meson_test

%install
%meson_install

mkdir -p %{buildroot}%{_userunitdir}
install -pDm644 %{SOURCE1} %{buildroot}%{_userunitdir}

%preun
%systemd_user_preun mmsd-tng.service

%post
%systemd_user_post mmsd-tng.service

%files
%license COPYING
%doc README
%{_bindir}/mmsdtng
%{_bindir}/mmsctl
%{_userunitdir}/mmsd-tng.service

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.5.0-6
- Drop i686 support beginning with Fedora 42

* Sat Dec 14 2024 Adam Williamson <awilliam@redhat.com> - 2.5.0-5
- Rebuild for new libphonenumber

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Feb 16 2024 Felix Wang <topazus@outlook.com> - 2.5.0-3
- add packit config file

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

## END: Generated by rpmautospec
